[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.Destroy

Free the hash table.

## Declaration

Source position: contnrs.pp line 377

`public destructor TFPCustomHashTable.Destroy; override;`

## Description

Destroy removes the hash table from memory. If any data was associated with the keys in the hash table, then this data is not freed. This must be done by the programmer.

## Errors

None.

## See also

Destroy |  | Free the hash table.
Create |  | Instantiate a new TFPCustomHashTable instance using the default hash mechanism
Create |  | Instantiate a new TFPCustomHashTable instance with given algorithm and size
THTCustomNode.Data |  | Data associated with this hash value.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.